org.apache.coyote.http2

## Class Flags

- java.lang.Object
- - org.apache.coyote.http2.Flags

-     public class Flags
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasPadding(int flags)`
    `static boolean` | `hasPriority(int flags)`
    `static boolean` | `isAck(int flags)`
    `static boolean` | `isEndOfHeaders(int flags)`
    `static boolean` | `isEndOfStream(int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isEndOfStream

          public static boolean isEndOfStream(int flags)

    - #### isAck

          public static boolean isAck(int flags)

    - #### isEndOfHeaders

          public static boolean isEndOfHeaders(int flags)

    - #### hasPadding

          public static boolean hasPadding(int flags)

    - #### hasPriority

          public static boolean hasPriority(int flags)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.